Subject: Re: (i18n 37) Re: japanese xopen locale with general charnames (#411)

From: Keld J|rn Simonsen <[email-masked]>
Date: Sat, 8 Dec 90 21:04:15 +0100

Donn commented my Japanese locale version.

> >1. Character names: changed to facilitate future international
> >   harmonization of national profiles.  (Just a guess -- I'd really like
> >   to know why you consider the new form to be preferable.)
> 
> I havn't looked at it closely, but I'm not sure either about whether
> this was the right thing to do.  This, remember, is a *national* profile,
> not ISO's opinion of what some profile should be.

Well, I thought it was an X/open profile... I have placed the
original contribution in the directory I use to, and where things
are ftp-able - I did not change anything in that. The one I sent out
is of cause my personal view on things, and mailing personal versions
of locales has been seen before. Greger mailed a revised French locale
with his charmap specs. 

I hope not to offend anybody by mailing my personal opinions on how it
could be better. The Japanese themselves have been the strongest 
advisors of harmonization of locales. The rewriting helped me have
an overview of what was going on, which led me to mail the article
on the non-conformance to X0208 specs, the duplication of collating
keys and the uppercase/lowercase problem.

> >2. Date format: Note that the changes do not affect the external date
> >   representation defined by d_fmt: only the format of dates within the
> >   X/Open era extension definition has been changed.  Assuming that
> >   this or a similar extension is adopted by WG15, it is reasonable
> >   that the dates should be represented in a format compatible with ISO
> >   8601.  Indeed, taking this further, one could argue that the 8601
> >   representation of a period of time, where a solidus (slash)
> >   separates the beginning and ending dates should be used.  (Thus,
> >   1989-01-08:1989-12-31 would become 1989-01-08/1989-12-31.)
> 
> I know that if this was a U.S. national profile, and you had changed
> mm/dd/yy to dd/mm/yy, I'd be having fits right now.  (Even though
> I happen to agree that the dd/mm/yy format is saner, usage has to dominate.)
> Is the usage in the Japanese profile Japanese useage?  I don't know.

Well, we are not talking here about how you do date formats in
Japan or USA. This is of cause defined in  d_fmt.

We are discussing how to specify eras. This is not a specific
Japanese problem, other cultures have eras, and we want a
general ISO way to do this. So we can specify when a Japanese era
began, or a Chinese era began or other eras... Then it is only natural
to use ISO standards for numerical dates, ISO 8601. Or else we (WG15)
would invent a special POSIX ISO date specification. 

Well, well... We may use the specs of the locale for date formatting,
but as far as I remember these are only for output formatting?

Keld